#!/bin/bash


# Text modifiers
bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}

zenity --info --title='Please pick a folder!' --text='Choose a folder!' --width='300' --height='100'

# Folder variable
FOLDER=$(zenity  --file-selection --title="Choose a backup directory" --directory)
if [[ $? -eq 1 ]]; then
   echo You did not pick a ${bold}${yellow}folder.${normal} Exiting!
   exit 1
   else
   echo Backups will be saved into: ${bold}${yellow}$FOLDER${normal}
fi


# Options input
user_choice=$(zenity --list --checklist --width='1000' --height='700' \
  --title="Backup script by RavePriest1" \
  --text="Select from the options below" \
  --column="Select" --column="Name" \
  FALSE "MangoHud/Goverlay setup" \
  FALSE "Mozilla Browser - Deb Package")
if [[ $? -eq 1 ]]; then
   echo You did not pick an ${bold}${yellow}option.${normal} Exiting!
   exit 1
fi


if [[ $user_choice = *"MangoHud/Goverlay"* ]]; then
  echo
  echo -----------------------------------------------------
  echo Copying ${bold}${yellow}Goverlay settings${normal} into ${bold}${yellow}$FOLDER/${normal}
  sudo rsync -ap --info=progress2 /home/$USER/.config/goverlay $FOLDER/
  echo ${bold}${yellow}Goverlay settings${normal} copied.
  echo -----------------------------------------------------
  sudo chown -R $USER:$GROUP $FOLDER
  echo
fi

if [[ $user_choice = *"Mozilla Browser - Deb Package"* ]]; then
  echo
  echo -----------------------------------------------------
  echo Copying ${bold}${yellow}Mozilla settings${normal} into ${bold}${yellow}$FOLDER/${normal}
  sudo rsync -ap --info=progress2 /home/$USER/.mozilla $FOLDER/
  echo ${bold}${yellow}Mozilla settings${normal} copied.
  echo -----------------------------------------------------
  sudo chown -R $USER:$GROUP $FOLDER
  echo
fi

exit 1